---
apiVersion: monitoring.coreos.com/v1
kind: PrometheusRule
metadata:
  annotations:
    exclude.release.openshift.io/internal-openshift-hosted: "true"
    include.release.openshift.io/self-managed-high-availability: "true"
  creationTimestamp: "2022-03-08T10:14:11Z"
  generation: 1
  managedFields:
  - apiVersion: monitoring.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:exclude.release.openshift.io/internal-openshift-hosted: {}
          f:include.release.openshift.io/self-managed-high-availability: {}
      f:spec:
        .: {}
        f:groups: {}
    manager: cluster-version-operator
    operation: Update
    time: "2022-03-08T10:14:11Z"
  name: kube-controller-manager-operator
  namespace: openshift-kube-controller-manager-operator
  resourceVersion: "1671"
  selfLink: /apis/monitoring.coreos.com/v1/namespaces/openshift-kube-controller-manager-operator/prometheusrules/kube-controller-manager-operator
  uid: 84def4f1-9ef1-44fd-ae5e-7755f83db483
spec:
  groups:
  - name: cluster-version
    rules:
    - alert: KubeControllerManagerDown
      annotations:
        message: KubeControllerManager has disappeared from Prometheus target discovery.
      expr: |
        absent(up{job="kube-controller-manager"} == 1)
      for: 15m
      labels:
        severity: critical
    - alert: PodDisruptionBudgetAtLimit
      annotations:
        message: The pod disruption budget is preventing further disruption to pods because it is at the minimum allowed level.
      expr: |
        max by(namespace, poddisruptionbudget) (kube_poddisruptionbudget_status_expected_pods == kube_poddisruptionbudget_status_desired_healthy)
      for: 15m
      labels:
        severity: warning
    - alert: PodDisruptionBudgetLimit
      annotations:
        message: The pod disruption budget is below the minimum number allowed pods.
      expr: |
        max by (namespace, poddisruptionbudget) (kube_poddisruptionbudget_status_expected_pods < kube_poddisruptionbudget_status_desired_healthy)
      for: 15m
      labels:
        severity: critical
